# Dependency Injection and Lifecycle Management

It is a lightweight dependency injection framework, written in Java, and serves as a replacement for
[Spring](http://www.spring.io) and [Guice](https://github.com/google/guice). If you are not familiar
with dependency injection or inversion of control you should start by reading this
[definitive article](http://www.martinfowler.com/articles/injection.html) by Martin Fowler.

For more information, visit the project page at
[https://www.idax.me/xbind](https://www.idax.me/xbind)
